# 2. Užklausa: gauti „Laukai“

Paprastas „Fields“ užklausos pavyzdys, kuris gauna plotą hektarais.

{% hint style="info" %}
„Field“ ploto vienetas gali būti vienas iš šių: `AKRAI` arba `HEKTARAI` arba `KVADRATINIAI_METRAI`.
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
užklausa GetFieldInHectares {
  getFarms (farmUuids: ["<placeholder_of_farm_uuid>"]){
    uuid
    userUuid
    pavadinimas
    fields {
      uuid
      pavadinimas
      area(unit: HECTARES)
    }
  }
}
```

{% endcode %}

{% hint style="info" %}
Išsamesnis pavyzdys, įskaitant puslapiavimą ir filtravimo galimybes, aprašytas [43: Užklausa Get „Fields“](/geopard-tutorials/ltu/api-dokumentacija/geopard-api-uzklausu-apzvalga/43.-uzklausa-gauti-laukus.md).
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/ltu/api-dokumentacija/geopard-api-uzklausu-apzvalga/2.-uzklausa-gauti-laukai.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
